# we have a circular (build) dependency with the (new) pytest package
# when generating the docs or running the testsuite
%global with_docs 0
%global run_check 0

%global srcname py
%global pytest_version 2.5

Name:           python3-%{srcname}
Version:        1.4.32
Release:        2%{?dist}
Summary:        Library with cross-python path, ini-parsing, io, code, log facilities
License:        MIT and Public Domain
#               main package: MIT, except: doc/style.css: Public Domain
URL:            https://pylib.readthedocs.io/en/stable/
Source:         https://files.pythonhosted.org/packages/source/p/%{srcname}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch
%if 0%{?with_docs}
BuildRequires:  python-sphinx
%endif # with_docs
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools


%description
The py lib is a Python development support library featuring the
following tools and modules:

  * py.path: uniform local and svn path objects
  * py.apipkg: explicit API control and lazy-importing
  * py.iniconfig: easy parsing of .ini files
  * py.code: dynamic code generation and introspection
  * py.path: uniform local and svn path objects

%prep
%setup -q -n py-%{version}
# remove shebangs and fix permissions
find -type f -a \( -name '*.py' -o -name 'py.*' \) \
   -exec sed -i '1{/^#!/d}' {} + \
   -exec chmod u=rw,go=r {} + 


%build
%{py3_build}

%if 0%{?with_docs}
make -C doc html PYTHONPATH=$(pwd)
%endif # with_docs


%install
%{py3_install}


%files
%license LICENSE
%doc CHANGELOG README.rst
%if 0%{?with_docs}
# HTML docs generated with Python2 for now
%doc doc/_build/html
%endif # with_docs
%{python3_sitelib}/*


%changelog
* Thu Mar 07 2019 Troy Dawson <tdawson@redhat.com>
- Rebuilt to change main python from 3.4 to 3.6

* Tue Feb  5 2019 Orion Poplawski <orion@nwra.com> - 1.4.32-1
- Update to 1.4.32

* Mon Feb 04 2019 Miro Hrončok <mhroncok@redhat.com> - 1.4.30-3
- Add python36-py

* Wed Dec 30 2015 Orion Poplawski <orion@cora.nwra.com> - 1.4.30-2
- Drop group tag
- Minor cleanup

* Tue Dec 29 2015 Orion Poplawski <orion@cora.nwra.com> - 1.4.30-1
- Initial EPEL package
